<?php
	$LIMPIAR_DET=0;
	$LIMPIAR=0;
	$SYS_FOC="Ori";
	//+++++++++++++++++++++++++++++++++++++++
	$GII=0;
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		if($StrCmd=="X"){
			$StrCmd="C";			
		}
	}
	//-------------------------+++
	$Pro=V($_POST['Pro']);
	$ProSer=V($_POST['ProSer']);
	$ProNro=V($_POST['ProNro']);
	$InvSer=V($_POST['InvSer']);
	$InvNro=V($_POST['InvNro']);
	$Fec=V($_POST['Fec']);
	$EmpTo=V($_POST['EmpTo']);
	$PueOri=V($_POST['PueOri']);
	$PueDes=V($_POST['PueDes']);
	//-------------------------
	$REF_KOD=vbval(V($_POST['REF_KOD']));
	$FAC_KOD=vbval(V($_POST['FAC_KOD']));	
	//
	$TipCam=vbval(V($_POST['TipCam']));	
	$PorUti=vbval(V($_POST['PorUti']));	
	$ComExp=vbval(V($_POST['ComExp']));	
	//
	if($TipCam==0)$TipCam=1;
	if($PorUti==0)$PorUti=3;
	if($ComExp==0)$ComExp=3;
	//-------------------------
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}	
	//
	if($StrCmd=="AR" && strlen($StrId)>0){
		$Id=vbval($StrId);
		$r=gr("vis_ges_xml_costeo_inv","ID=".$Id);
		$Pro=$r['PROVEEDOR'];
		$ProSer=$r['PRO_SER'];
		$ProNro=$r['PRO_NUM'];
		$InvSer=$r['INV_SER'];
		$InvNro=$r['INV_NUM'];
		$Fec=$r['FEC_'];
		$EmpTo=$r['EMP_NC'];
		$PueOri=$r['PTO_ORI'];
		$PueDes=$r['PTO_DES'];
		$TipCam=$r['TCAM'];
		$FAC_KOD=$r['INV_KOD'];
		//
		$REF_KOD=$Id;
	}
	//
	if($StrCmd=="G" || $StrCmd=="M"){
		//++++++++
	}
	if($StrCmd=="G"){
		$SYS_FEC=date("Y-m-d");
		$SYS_HOR=GetHoraAP();
		$SYS_TIM=time();
		$IdUsu=$IdUsu;
		$TipCam=1;
		$PorUti=3;
		$PorUti=3;
		$s="INSERT INTO ges_xml_costeo 
			(fec,hor,tim,usu,id_fac, tcam , por_uti , com_exp) 
			VALUES 
			( '$SYS_FEC' , '$SYS_HOR' , $SYS_TIM , $IdUsu , $FAC_KOD , $TipCam , $PorUti , $ComExp )";
		$REF_KOD=EjtEx($s);
		if($REF_KOD>0){
			//
			ejt("DELETE FROM ges_xml_costeo_det WHERE id_ref=$REF_KOD");
			ejt("DELETE FROM ges_xml_costeo_det_pro WHERE id_ref=$REF_KOD");
			//
			$SYS_MSG="Datos registrados";
			$SYS_FOC="ProNom";
			//
			$s="SELECT * FROM vis_ges_invoice_det WHERE ID_INV=$FAC_KOD ORDER BY ID_DET";
			$rs=grs($s);
			while($r=$rs->fetch_assoc()){
				$X_PRO_KOD=$r['ID_PRO'];
				$X_PRO_DES=$r['DES'];
				$X_PRO_CAJ=$r['CAJ'];
				$X_PRO_SET=$r['PIE'];
				$X_PRO_PRE=$r['PRE'];
				$FOB=round($X_PRO_SET * $X_PRO_PRE,3);
				$s="INSERT INTO ges_xml_costeo_det_pro 
					( id_ref , pro_nom , pro_ctn , pro_set , pro_pre , pro_fob , pro_kod) 
					VALUES 
					( $REF_KOD , '$X_PRO_DES' , $X_PRO_CAJ , $X_PRO_SET , $X_PRO_PRE  , $FOB , $X_PRO_KOD )";
				ejt($s);				
			}
			PRODUCTOS_ACTUALIZAR($REF_KOD);
			//
		}else{
			$SYS_MSG="Error al momento de guardar";
			$SYS_FOC="ProNom";
		}
	}
	if($StrCmd=="M"){
	}
	if($StrCmd=="L"){
		$LIMPIAR=1;
	}	
	//
	if($StrCmd=="ADD_DET"){
		$DetCan_=vbval(V($_POST['DetCan']));
		$DetDes=V($_POST['DetDes']);
		$DetPre_=vbval(V($_POST['DetPre']));
		$DetImp_=vbval(V($_POST['DetImp']));
		//
		$KEY=0;
		$s="INSERT INTO ges_xml_tmp_det 
			(hw,usu,id_xml,det_can,det_pre,det_des,det_tot) 
			VALUES 
			('$HW',$IdUsu,$KEY,$DetCan_,$DetPre_,'$DetDes',$DetImp_)";
		ejt($s);
		$SYS_FOC="DetCan";
	}
	//
	if($StrCmd=="ADD_PROD"){
		$REF_ID=vbval(V($_POST['REF_KOD']));
		$TipCam=vbval(V($_POST['TipCam']));
		$FACTOR=COSTEO_GET_FACTOR($REF_ID);
		//
		$ProNom=V($_POST['ProNom']);
		$ProCtn=vbval(V($_POST['ProCtn']));
		$ProSet=vbval(V($_POST['ProSet']));
		$ProPre=vbval(V($_POST['ProPre']));		
		//
		$ProFob=round($ProSet * $ProPre,3);
		$s="INSERT INTO ges_xml_costeo_det_pro 
			( id_ref , pro_nom , pro_ctn , pro_set , pro_pre , pro_fob ) 
			VALUES 
			( $REF_ID , '$ProNom' , $ProCtn , $ProSet , $ProPre  , $ProFob  )";
		ejt($s);
		PRODUCTOS_ACTUALIZAR($REF_ID);
		//
		$ProNom="";
		$ProCtn="";
		$ProSet="";
		$ProPre="";
		$SYS_FOC="ProNom";		
	}
	//
	if($StrCmd=="KILL_PROD"){
		$REF_ID=vbval(V($_POST['REF_KOD']));
		$KIL_PRO=vbval(V($_POST['TXT_KIL']));
		$s="DELETE FROM ges_xml_costeo_det_pro WHERE id=".$KIL_PRO;
		ejt($s);
		PRODUCTOS_ACTUALIZAR($REF_ID);
		$SYS_FOC="ProNom";	
	}
	//
	if($StrCmd=="SET_TCAM"){
		$REF_KOD=vbval(V($_POST['REF_KOD']));
		$TipCam=round(vbval(V($_POST['TipCam'])),3);
		//
		$s="UPDATE ges_xml_costeo SET tcam=$TipCam WHERE id=".$REF_KOD;
		ejt($s);
		//
		COSTEO_CONCEPTOS_ACT_SOL_DOL($REF_KOD,$TipCam);
		PRODUCTOS_ACTUALIZAR($REF_KOD);
		//
		$SYS_FOC="Con";	
	}
	//
	if($StrCmd=="SET_POR_UTI"){
		$REF_KOD=vbval(V($_POST['REF_KOD']));
		$PorUti=round(vbval(V($_POST['PorUti'])),2);
		//
		$s="UPDATE ges_xml_costeo SET por_uti=$PorUti WHERE id=".$REF_KOD;
		ejt($s);
		//
		COSTEO_CONCEPTOS_ACT_SOL_DOL($REF_KOD,$TipCam);
		PRODUCTOS_ACTUALIZAR($REF_KOD);
		//
		$SYS_FOC="Con";	
	}
	//
	if($StrCmd=="SET_COM_EXP"){
		$REF_KOD=vbval(V($_POST['REF_KOD']));
		$ComExp=round(vbval(V($_POST['ComExp'])),2);
		//
		$s="UPDATE ges_xml_costeo SET com_exp=$ComExp WHERE id=".$REF_KOD;
		ejt($s);
		//
		COSTEO_CONCEPTOS_ACT_SOL_DOL($REF_KOD,$TipCam);
		PRODUCTOS_ACTUALIZAR($REF_KOD);
		//
		$SYS_FOC="Con";	
	}
	//
	if($StrCmd=="KILL_COS"){
		$REF_KOD=vbval(V($_POST['REF_KOD']));
		$KIL_PRO=vbval(V($_POST['TXT_KIL']));
		$TipCam=vbval(V($_POST['TipCam']));
		$s="DELETE FROM ges_xml_costeo_det WHERE id=".$KIL_PRO;
		ejt($s);
		$SYS_FOC="Con";	
		COSTEO_CONCEPTOS_ACT_SOL_DOL($REF_KOD,$TipCam);
	}
	//++++
	if($StrCmd=="ADD_COSTO"){
		$TipCam=vbval(V($_POST['TipCam']));
		$Con=V($_POST['Con']);
		$ConTot=vbval(V($_POST['ConTot']));
		$ConMon=V($_POST['ConMon']);
		$REF_ID=vbval(V($_POST['REF_KOD']));
		if(strlen($ConMon)==0)$ConMon="SOLES";
		$Con_=gn("id_ct","ges_xml_costos_tipos","ct_nom='$Con'");
		$ConMon=substr($ConMon,0,1);
		$s="INSERT INTO ges_xml_costeo_det 
			(id_ref,id_ct,tot,mnd) 
			VALUES 
			($REF_ID , $Con_ , $ConTot , '$ConMon')";	
		ejt($s);
		//
		COSTEO_CONCEPTOS_ACT_SOL_DOL($REF_ID,$TipCam);
		PRODUCTOS_ACTUALIZAR($REF_ID);
		//
		$SYS_FOC="Con";
	}
	
	//++++
	if($StrCmd=="E"){
		/*
		$ACC_INV_ELI="SI";
		if($ACC_INV_ELI=="NO"){
			$SYS_MSG="No tiene permisos para esta accion";
		}else{
			
		}
		*/
		//
		$StrId=$REF_KOD;
		//ejt("DELETE FROM ges_xml_costeo WHERE id=$StrId");
		ejt("DELETE FROM ges_xml_costeo_det WHERE id_ref=$StrId");
		ejt("DELETE FROM ges_xml_costeo_det_pro WHERE id_ref=$StrId");
		//		++++
		$qqq=ejt("DELETE FROM ges_xml_costeo WHERE id=$StrId");
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$qqq;
		$_BIT_SQL_DET="";
		$_BIT_PHP="ges_facturas.php";
		$_BIT_ID=BIT_ADD("PROCESOS","INVOICE - COSTEO","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$qqq);
		//
		$SYS_MSG="Registro eliminado";
		$LIMPIAR=1;
	}	
	//++++
	if($LIMPIAR==1){
		$REF_KOD="";		
		$FAC_KOD="";
		$TipCam="1";
		$PorUti="3";
		$ComExp="3";
		//
		$Pro="";
		$ProSer="";
		$ProNro="";
		$InvSer="";
		$InvNro="";
		$Fec="";
		$EmpTo="";
		$PueOri="";
		$PueDes="";
		
		//
	}
?>

